## Creating a new Plume user

  1. Bind nomad on your machine with SSH (check the README file at the root of this repo)
  2. Go to http://127.0.0.1:4646
  3. Select `plume` -> click `exec` button (top right)
  4. Select `plume` on the left panel
  5. Press `enter` to get a bash shell
  6. Run:

```bash
plm users new \
  --username alice \
  --display-name Alice \
  --bio Just an internet user \
  --email alice@example.com \
  --password s3cr3t
```

That's all folks, now you can use your new account at https://plume.deuxfleurs.fr

## Bug and debug

If you can't follow a new user and have this error:

```
2022-04-23T19:26:12.639285Z  WARN plume::routes::errors: Db(DatabaseError(UniqueViolation, "duplicate key value violates unique constraint \"follows_unique_ap_url\""))
```

You might have an empty field in your database:

```
plume=> select * from follows where ap_url='';
  id  | follower_id | following_id | ap_url
------+-------------+--------------+--------
 2118 |          20 |          238 |
(1 row)
```

Simply set the `ap_url` as follows:

```
plume=> update follows set ap_url='https://plume.deuxfleurs.fr/follows/2118' where id=2118;
UPDATE 1
```
